# TransactionImplement

#### new Cesium.TransactionImplement(options)
MapGIS/IndexedDB/TransactionImplement.js 23

Fulfill transaction request from IndexedDB.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`version` | Number |  | optional Version of IndexedDB
`nameDB` | String |  | optional Name of IDBDatabase.
`storeHouse` | String |  | optional Name of IDBObjectStore.
`attNameStore` | String |  | optional Name of IDBObjectStore for atrribute.
`keyPath` | String |  | optional keyPath of an IDBObjectStore.
`transaction` | Object |  | optional A Transaction object that will be used.{@ Link Transaction} Intended for internal use only.
`debugShowLog` | Boolean | `false` | optional For debugging only.

Author:
  - 冯桂英

### Members

#### cacheState : Object
MapGIS/IndexedDB/TransactionImplement.js 387

Cache status

#### readonly firstOpen : Boolean
MapGIS/IndexedDB/TransactionImplement.js 400

Open the db for the first time,if true

#### nameStore : String
MapGIS/IndexedDB/TransactionImplement.js 427

name of warehouse

#### version : Number
MapGIS/IndexedDB/TransactionImplement.js 412

db version